aagc.vo

## Class PianoAssistenzialeDomiciliareResponse

- java.lang.Object
- - aagc.vo.PianoAssistenzialeDomiciliareResponse

-     public class PianoAssistenzialeDomiciliareResponse
      extends java.lang.Object

  Classe Java per pianoAssistenzialeDomiciliareResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="pianoAssistenzialeDomiciliareResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idPAI">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataAutorizzazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="idDocumentoFirmato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataInizio" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFine" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descNote" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="250"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codProvenienza" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numTelefonoCaseManager" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="30"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descCaseManager" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]*"/>
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descCPS" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]*"/>
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numTelefonoCPS" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="30"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="propostaAccesso" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}propostaAccessoResponse"/>
               <element name="tipologiaAssistenzaAutorizzata">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxInclusive value="8"/>
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="elencoResponsabiliPAI">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="responsabilePAI" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}responsabileResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="elencoInterventoPAI">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="interventoPAI" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}interventoPAIResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="elencoSospensioniPAI">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="sospensioniPAI" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}periodoSospensioneResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="interruzioneAnticipata" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}interruzioneAnticipataResponse"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI` Classe Java per anonymous complex type.
    `static class` | `PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI` Classe Java per anonymous complex type.
    `static class` | `PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codProvenienza`
    `protected java.lang.String` | `dataAutorizzazione`
    `protected java.lang.String` | `dataFine`
    `protected java.lang.String` | `dataInizio`
    `protected java.lang.String` | `descCaseManager`
    `protected java.lang.String` | `descCPS`
    `protected java.lang.String` | `descNote`
    `protected PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI` | `elencoInterventoPAI`
    `protected PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI` | `elencoResponsabiliPAI`
    `protected PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI` | `elencoSospensioniPAI`
    `protected java.lang.String` | `idDocumentoFirmato`
    `protected java.lang.String` | `idPAI`
    `protected InterruzioneAnticipataResponse` | `interruzioneAnticipata`
    `protected java.lang.String` | `numTelefonoCaseManager`
    `protected java.lang.String` | `numTelefonoCPS`
    `protected PropostaAccessoResponse` | `propostaAccesso`
    `protected int` | `tipologiaAssistenzaAutorizzata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PianoAssistenzialeDomiciliareResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodProvenienza()` Recupera il valore della proprietà codProvenienza.
    `java.lang.String` | `getDataAutorizzazione()` Recupera il valore della proprietà dataAutorizzazione.
    `java.lang.String` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `java.lang.String` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `java.lang.String` | `getDescCaseManager()` Recupera il valore della proprietà descCaseManager.
    `java.lang.String` | `getDescCPS()` Recupera il valore della proprietà descCPS.
    `java.lang.String` | `getDescNote()` Recupera il valore della proprietà descNote.
    `PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI` | `getElencoInterventoPAI()` Recupera il valore della proprietà elencoInterventoPAI.
    `PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI` | `getElencoResponsabiliPAI()` Recupera il valore della proprietà elencoResponsabiliPAI.
    `PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI` | `getElencoSospensioniPAI()` Recupera il valore della proprietà elencoSospensioniPAI.
    `java.lang.String` | `getIdDocumentoFirmato()` Recupera il valore della proprietà idDocumentoFirmato.
    `java.lang.String` | `getIdPAI()` Recupera il valore della proprietà idPAI.
    `InterruzioneAnticipataResponse` | `getInterruzioneAnticipata()` Recupera il valore della proprietà interruzioneAnticipata.
    `java.lang.String` | `getNumTelefonoCaseManager()` Recupera il valore della proprietà numTelefonoCaseManager.
    `java.lang.String` | `getNumTelefonoCPS()` Recupera il valore della proprietà numTelefonoCPS.
    `PropostaAccessoResponse` | `getPropostaAccesso()` Recupera il valore della proprietà propostaAccesso.
    `int` | `getTipologiaAssistenzaAutorizzata()` Recupera il valore della proprietà tipologiaAssistenzaAutorizzata.
    `void` | `setCodProvenienza(java.lang.String value)` Imposta il valore della proprietà codProvenienza.
    `void` | `setDataAutorizzazione(java.lang.String value)` Imposta il valore della proprietà dataAutorizzazione.
    `void` | `setDataFine(java.lang.String value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(java.lang.String value)` Imposta il valore della proprietà dataInizio.
    `void` | `setDescCaseManager(java.lang.String value)` Imposta il valore della proprietà descCaseManager.
    `void` | `setDescCPS(java.lang.String value)` Imposta il valore della proprietà descCPS.
    `void` | `setDescNote(java.lang.String value)` Imposta il valore della proprietà descNote.
    `void` | `setElencoInterventoPAI(PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI value)` Imposta il valore della proprietà elencoInterventoPAI.
    `void` | `setElencoResponsabiliPAI(PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI value)` Imposta il valore della proprietà elencoResponsabiliPAI.
    `void` | `setElencoSospensioniPAI(PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI value)` Imposta il valore della proprietà elencoSospensioniPAI.
    `void` | `setIdDocumentoFirmato(java.lang.String value)` Imposta il valore della proprietà idDocumentoFirmato.
    `void` | `setIdPAI(java.lang.String value)` Imposta il valore della proprietà idPAI.
    `void` | `setInterruzioneAnticipata(InterruzioneAnticipataResponse value)` Imposta il valore della proprietà interruzioneAnticipata.
    `void` | `setNumTelefonoCaseManager(java.lang.String value)` Imposta il valore della proprietà numTelefonoCaseManager.
    `void` | `setNumTelefonoCPS(java.lang.String value)` Imposta il valore della proprietà numTelefonoCPS.
    `void` | `setPropostaAccesso(PropostaAccessoResponse value)` Imposta il valore della proprietà propostaAccesso.
    `void` | `setTipologiaAssistenzaAutorizzata(int value)` Imposta il valore della proprietà tipologiaAssistenzaAutorizzata.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idPAI

          protected java.lang.String idPAI

    - #### dataAutorizzazione

          protected java.lang.String dataAutorizzazione

    - #### idDocumentoFirmato

          protected java.lang.String idDocumentoFirmato

    - #### dataInizio

          protected java.lang.String dataInizio

    - #### dataFine

          protected java.lang.String dataFine

    - #### descNote

          protected java.lang.String descNote

    - #### codProvenienza

          protected java.lang.String codProvenienza

    - #### numTelefonoCaseManager

          protected java.lang.String numTelefonoCaseManager

    - #### descCaseManager

          protected java.lang.String descCaseManager

    - #### descCPS

          protected java.lang.String descCPS

    - #### numTelefonoCPS

          protected java.lang.String numTelefonoCPS

    - #### propostaAccesso

          protected PropostaAccessoResponse propostaAccesso

    - #### tipologiaAssistenzaAutorizzata

          protected int tipologiaAssistenzaAutorizzata

    - #### elencoResponsabiliPAI

          protected PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI elencoResponsabiliPAI

    - #### elencoInterventoPAI

          protected PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI elencoInterventoPAI

    - #### elencoSospensioniPAI

          protected PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI elencoSospensioniPAI

    - #### interruzioneAnticipata

          protected InterruzioneAnticipataResponse interruzioneAnticipata

  - ### Constructor Detail

    - #### PianoAssistenzialeDomiciliareResponse

          public PianoAssistenzialeDomiciliareResponse()

  - ### Method Detail

    - #### getIdPAI

          public java.lang.String getIdPAI()

      Recupera il valore della proprietà idPAI.
      Returns:
        possible object is `String`

    - #### setIdPAI

          public void setIdPAI(java.lang.String value)

      Imposta il valore della proprietà idPAI.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataAutorizzazione

          public java.lang.String getDataAutorizzazione()

      Recupera il valore della proprietà dataAutorizzazione.
      Returns:
        possible object is `String`

    - #### setDataAutorizzazione

          public void setDataAutorizzazione(java.lang.String value)

      Imposta il valore della proprietà dataAutorizzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdDocumentoFirmato

          public java.lang.String getIdDocumentoFirmato()

      Recupera il valore della proprietà idDocumentoFirmato.
      Returns:
        possible object is `String`

    - #### setIdDocumentoFirmato

          public void setIdDocumentoFirmato(java.lang.String value)

      Imposta il valore della proprietà idDocumentoFirmato.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizio

          public java.lang.String getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `String`

    - #### setDataInizio

          public void setDataInizio(java.lang.String value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFine

          public java.lang.String getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `String`

    - #### setDataFine

          public void setDataFine(java.lang.String value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescNote

          public java.lang.String getDescNote()

      Recupera il valore della proprietà descNote.
      Returns:
        possible object is `String`

    - #### setDescNote

          public void setDescNote(java.lang.String value)

      Imposta il valore della proprietà descNote.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodProvenienza

          public java.lang.String getCodProvenienza()

      Recupera il valore della proprietà codProvenienza.
      Returns:
        possible object is `String`

    - #### setCodProvenienza

          public void setCodProvenienza(java.lang.String value)

      Imposta il valore della proprietà codProvenienza.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumTelefonoCaseManager

          public java.lang.String getNumTelefonoCaseManager()

      Recupera il valore della proprietà numTelefonoCaseManager.
      Returns:
        possible object is `String`

    - #### setNumTelefonoCaseManager

          public void setNumTelefonoCaseManager(java.lang.String value)

      Imposta il valore della proprietà numTelefonoCaseManager.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescCaseManager

          public java.lang.String getDescCaseManager()

      Recupera il valore della proprietà descCaseManager.
      Returns:
        possible object is `String`

    - #### setDescCaseManager

          public void setDescCaseManager(java.lang.String value)

      Imposta il valore della proprietà descCaseManager.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescCPS

          public java.lang.String getDescCPS()

      Recupera il valore della proprietà descCPS.
      Returns:
        possible object is `String`

    - #### setDescCPS

          public void setDescCPS(java.lang.String value)

      Imposta il valore della proprietà descCPS.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumTelefonoCPS

          public java.lang.String getNumTelefonoCPS()

      Recupera il valore della proprietà numTelefonoCPS.
      Returns:
        possible object is `String`

    - #### setNumTelefonoCPS

          public void setNumTelefonoCPS(java.lang.String value)

      Imposta il valore della proprietà numTelefonoCPS.
      Parameters:
        `value` - allowed object is `String`

    - #### getPropostaAccesso

          public PropostaAccessoResponse getPropostaAccesso()

      Recupera il valore della proprietà propostaAccesso.
      Returns:
        possible object is `PropostaAccessoResponse`

    - #### setPropostaAccesso

          public void setPropostaAccesso(PropostaAccessoResponse value)

      Imposta il valore della proprietà propostaAccesso.
      Parameters:
        `value` - allowed object is `PropostaAccessoResponse`

    - #### getTipologiaAssistenzaAutorizzata

          public int getTipologiaAssistenzaAutorizzata()

      Recupera il valore della proprietà tipologiaAssistenzaAutorizzata.

    - #### setTipologiaAssistenzaAutorizzata

          public void setTipologiaAssistenzaAutorizzata(int value)

      Imposta il valore della proprietà tipologiaAssistenzaAutorizzata.

    - #### getElencoResponsabiliPAI

          public PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI getElencoResponsabiliPAI()

      Recupera il valore della proprietà elencoResponsabiliPAI.
      Returns:
        possible object is `PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI`

    - #### setElencoResponsabiliPAI

          public void setElencoResponsabiliPAI(PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI value)

      Imposta il valore della proprietà elencoResponsabiliPAI.
      Parameters:
        `value` - allowed object is `PianoAssistenzialeDomiciliareResponse.ElencoResponsabiliPAI`

    - #### getElencoInterventoPAI

          public PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI getElencoInterventoPAI()

      Recupera il valore della proprietà elencoInterventoPAI.
      Returns:
        possible object is `PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI`

    - #### setElencoInterventoPAI

          public void setElencoInterventoPAI(PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI value)

      Imposta il valore della proprietà elencoInterventoPAI.
      Parameters:
        `value` - allowed object is `PianoAssistenzialeDomiciliareResponse.ElencoInterventoPAI`

    - #### getElencoSospensioniPAI

          public PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI getElencoSospensioniPAI()

      Recupera il valore della proprietà elencoSospensioniPAI.
      Returns:
        possible object is `PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI`

    - #### setElencoSospensioniPAI

          public void setElencoSospensioniPAI(PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI value)

      Imposta il valore della proprietà elencoSospensioniPAI.
      Parameters:
        `value` - allowed object is `PianoAssistenzialeDomiciliareResponse.ElencoSospensioniPAI`

    - #### getInterruzioneAnticipata

          public InterruzioneAnticipataResponse getInterruzioneAnticipata()

      Recupera il valore della proprietà interruzioneAnticipata.
      Returns:
        possible object is `InterruzioneAnticipataResponse`

    - #### setInterruzioneAnticipata

          public void setInterruzioneAnticipata(InterruzioneAnticipataResponse value)

      Imposta il valore della proprietà interruzioneAnticipata.
      Parameters:
        `value` - allowed object is `InterruzioneAnticipataResponse`